<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetUserGroup Method (IEdmUserMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr5 Interface : GetUserGroup Method (IEdmUserMgr5)

Visual Basic
C#
C++/CLI

poIdOrName
  ID or name of the user group to get

Gets a user group with the specified name or ID.

# Syntax

Visual Basic |
--- | ---

    Function GetUserGroup( _
       ByRef poIdOrName As System.Object _
    ) As IEdmUserGroup5

C# |
--- | ---

    IEdmUserGroup5 GetUserGroup(
       ref System.object poIdOrName
    )

C++/CLI |
--- | ---

    IEdmUserGroup5^ GetUserGroup(
    &   System.Object^% poIdOrName
    )

#### Parameters

poIdOrName
  ID or name of the user group to get

#### Return Value

IEdmUserGroup5

# Example

Traverse Users and Groups in Vault (C#)
Traverse Users and Groups in Vault (VB.NET)
Add and Remove User and Group from Folder (C#)
Add and Remove User and Group from Folder (VB.NET)

# Remarks

C++ users must release the returned interface, IEdmUserGroup5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The poIdOrName argument contains an unknown user group name. The return value contains null when this happens in C++.
- E_EDM_INVALID_ID: The poIdOrName argument contains an invalid ID.
- E_EDM_DATABASE_ACCESS: Returned only for invalid IDs in SOLIDWORKS PDM Professional 5.2.

# See Also

####

IEdmUserMgr5 Interface
IEdmUserMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2